=== src/docs/tex/Makefile ===
all:
	pdflatex ufo-manual_EN.tex
	pdflatex ufo-manual_EN.tex	

clean:
	-rm chapters/*.aux
	-rm *.aux *.log *.out *.toc *.pdf
