=== debian/control ===
Source: ufoai
Section: contrib/games
Priority: optional
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends: debhelper (>= 4.0.0), dh-buildinfo, libpng-dev, libjpeg-dev, libgl-dev, libsdl-dev, libsdl-ttf2.0-dev, libsdl-mixer1.2-dev, ncurses-dev, libcurl3-dev
Standards-Version: 3.6.1

Package: ufoai
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ufoai-data (>= 2.2~~svn), libsdl-ttf2.0-0, libsdl-mixer1.2, libcurl3
Suggests: ufoai-data-music
Description: UFO: Alien Invasion - build your team and stop the aliens
 "UFO: Alien Invasion" is a game inspired by the XCOM "UFO" series.
 .
 As manager of an international military force dedicated to stop the
 Alien Invasion, you prepare your soldiers and attack the aliens on
 various sites on the Earth.
 .
 The tactical part of the game uses OpenGL, and is based on the Quake2
 engine.  A multiplayer mode is also available.

Package: ufoai-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: blender
Description: UFO: Alien Invasion - data-building tool
 "UFO: Alien Invasion" is a game inspired by the XCOM "UFO" series.
 .
 This package includes the map-building tool.

Package: ufoai-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ufoai-data (>= 2.2~~svn)
Description: UFO: Alien Invasion - standalone game server
 "UFO: Alien Invasion" is a game inspired by the XCOM "UFO" series.
 .
 This package includes the standalone game server.
 It is only needed if you want to setup a permanent game server.

Package: ufoai-data
Architecture: all
Depends: ${misc:Depends}, ttf-freefont, ttf-dejavu
Recommends: ufoai
Description: Data for UFO: Alien Invasion
 This package contains all the non-optional game data for UFO:AI:
 maps, models, units, sound effects, etc.

Package: ufoai-data-music
Architecture: all
Depends: ${misc:Depends}
Recommends: ufoai
Description: Data for UFO: Alien Invasion
 This package contains the music for UFO:AI.  It is recommended to
 fully experience the game, but not required.
